package models

type HappyOrchardUserSeedRecord struct {
	Id        int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid       int    `json:"uid" xorm:"INT(11)"`
	SeedId    int    `json:"seed_id" xorm:"not null default 0 INT(11)"`
	WaterNums int    `json:"water_nums" xorm:"not null default 0 comment('当前获得水滴数') INT(11)"`
	State     int    `json:"state" xorm:"not null default 1 comment('状态(1:种植中 2:待领取 3:已领取)') INT(11)"`
	CreateAt  string `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') DATETIME"`
	UpdateAt  string `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP comment('更新时间') DATETIME"`
}
